Subject: Re: bug#73899: test result: 2 errors, 12 fails

From: Jeffrey Cliff <[email-masked]>
Date: Mon, 21 Oct 2024 21:28:02 -0600

that wasn't it, and figured it out

there was a bunch of tools that were still at 2.71 (autoconf,
autoreconf, autoupdate, some more) installed in /usr/bin while
/usr/local/bin had updated (2.72) versions

was just ./configure --prefix being defined when I installed the first
time and not the second [ the default for autotools is /usr/local/bin
]

without this being a factor 0 fails 0 errors, sorry for the false alarm :)

On Sun, Oct 20, 2024 at 4:47 PM Jeffrey Cliff <[email-masked]> wrote:
>
> ohhh i think i know what i did then, for some reason i 'make install'
> 'd *before* doing a 'make check'. that might be why.
>
> On Sun, Oct 20, 2024 at 3:35 PM Karl Berry <[email-masked]> wrote:
> >
> > Hi Jeff,
> >
> >     automake: 1.17 "make -k check" (-j8) told me to email my test results
> >     here so here they are
> >
> > Thanks for the report. Looking at the log, the two failures both seem to
> > relate to the version of autoconf changing during the run, which seems
> > bizarre. I can't think of anything Automake is doing to make that
> > happen, though. Maybe something about the LFS build, somehow? Sorry, I'm
> > at a loss. --thanks, karl.
> >
> > FAIL: t/java-mix
> > ================
> > ..
> > + aclocal-1.17 -Werror
> > + autoconf
> > aclocal.m4:17: warning: this file was generated for autoconf 2.71.
> > You have another version of autoconf.  It may work, but is not guaranteed to.
> > If you have problems, you may need to regenerate the build system entirely.
> > To do so, use the procedure documented by the package, typically 'autoreconf'.
> > ..
>
>
>
> --
> ------------------------------------------------------------------------------------------------
> End the campaign to Cancel Richard Stallman - go to stallmansupport.org !
> ------------------------------------------------------------------------------------------------

--
------------------------------------------------------------------------------------------------
End the campaign to Cancel Richard Stallman - go to stallmansupport.org !
------------------------------------------------------------------------------------------------